net.sourceforge.jnlp.config

## Class BasicValueValidators.RustCpValidator

- java.lang.Object
- - net.sourceforge.jnlp.config.BasicValueValidators.RustCpValidator

- All Implemented Interfaces:
    ValueValidator
  Enclosing class:
    BasicValueValidators

      public static class BasicValueValidators.RustCpValidator
      extends java.lang.Object
      implements ValueValidator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RustCpValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPossibleValues()` Returns a string describing possible values in human-readable form that this `ValueValidator` accepts
    `void` | `validate(java.lang.Object value)` This method checks if the given object is a valid value for this specific `ValueValidator`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RustCpValidator

          public RustCpValidator()

  - ### Method Detail

    - #### validate

          public void validate(java.lang.Object value)
                        throws java.lang.IllegalArgumentException

      Description copied from interface: `ValueValidator`
      This method checks if the given object is a valid value for this specific `ValueValidator`. Any arbitrary operation can be performed to ensure that the value is valid.
      Specified by:
        `validate` in interface `ValueValidator`
      Parameters:
        `value` - The object to validate
      Throws:
        `java.lang.IllegalArgumentException` - if the value is invalid

    - #### getPossibleValues

          public java.lang.String getPossibleValues()

      Description copied from interface: `ValueValidator`
      Returns a string describing possible values in human-readable form that this `ValueValidator` accepts
      Specified by:
        `getPossibleValues` in interface `ValueValidator`
      Returns:
        a string describing possible values that this `ValueValidator` accepts

Submit a bug or feature